상품 · 릴리스 게시
이 작업은 종료되었으며 데이터를 변경하지 않고 409를 반환합니다. 각 디지털 파일의 접근은 수신 대상 선택으로 따로 설정하세요.
POST
/api/v1/products/{product_id}/file-releases/{release_id}/publishcURL 요청
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request POST \
--url https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001/publish \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-publish_release_api_v1_products__product_id__file_releases__release_id__publish_post' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1}'
응답
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}